﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="PrintRadWindow_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Main Page</title>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="Scriptmanager1" runat="server" />
	<telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
		<script type="text/javascript">
			var tooltip = null;
			var isSliding = false;

			function pageLoad() {
				tooltip = $find("<%= RadToolTip1.ClientID %>");
			}

			function OnClientValueChange(sender, args) {

				if (!isSliding) return;
				tooltip.set_text(GetItemValue());
				ResetToolTipLocation();
			}

			function OnClientValueChanged(sender, args) {
				tooltip.set_text(GetItemValue());
				ResetToolTipLocation();
			}

			function OnClientSlideStart(sender, args) {
				var activeHandle = sender.get_activeHandle();
				tooltip.set_targetControl(activeHandle);
				isSliding = true;
			}

			function OnClientSlideEnd(sender, args) {
				isSliding = false;
				ResetToolTipLocation();
			}

			function ResetToolTipLocation() {
				if (!tooltip.isVisible())
					tooltip.show();
				else
					tooltip.updateLocation();
			}

			function GetItemValue() {
				var slider = $find('<%= RadSlider1.ClientID %>');
				var lastSelection = (slider.get_activeHandle() == slider.get_dragHandles()[0]) ? slider.get_selectionStart() : slider.get_selectionEnd();
				return slider.get_items()[lastSelection].get_tooltip();
			}
		</script>
	</telerik:RadCodeBlock>
	<telerik:RadToolTip EnableShadow="false" OffsetY="5" HideDelay="1" ID="RadToolTip1"
		runat="server" RelativeTo="Element" Position="TopCenter" ShowCallout="true" Width="45px"
		Height="30px" ShowEvent="FromCode" HideEvent="FromCode">
	</telerik:RadToolTip>
	<telerik:RadSlider runat="server" ID="RadSlider1" Orientation="Horizontal" Width="200"
		Height="40" TrackPosition="Center" ItemType="Item" EnableServerSideRendering="true" IsSelectionRangeEnabled="true" SelectionStart="0" SelectionEnd="9" OnClientSlide="OnClientValueChange" OnClientValueChanged="OnClientValueChanged"
			OnClientSlideStart="OnClientSlideStart" OnClientSlideEnd="OnClientSlideEnd">
		<Items>
			<telerik:RadSliderItem Value="1" ToolTip="14:15" runat="server"></telerik:RadSliderItem>
			<telerik:RadSliderItem Value="2" ToolTip="14:30" runat="server"></telerik:RadSliderItem>
			<telerik:RadSliderItem Value="3" ToolTip="14:45" runat="server"></telerik:RadSliderItem>
			<telerik:RadSliderItem Value="4" ToolTip="15:00" runat="server"></telerik:RadSliderItem>
			<telerik:RadSliderItem Value="5" ToolTip="15:15" runat="server"></telerik:RadSliderItem>
			<telerik:RadSliderItem Value="6" ToolTip="15:30" runat="server"></telerik:RadSliderItem>
			<telerik:RadSliderItem Value="7" ToolTip="15:45" runat="server"></telerik:RadSliderItem>
			<telerik:RadSliderItem Value="8" ToolTip="16:00" runat="server"></telerik:RadSliderItem>
			<telerik:RadSliderItem Value="9" ToolTip="16:15" runat="server"></telerik:RadSliderItem>
			<telerik:RadSliderItem Value="10" ToolTip="16:30" runat="server"></telerik:RadSliderItem>
		</Items>
	</telerik:RadSlider>
	</form>
</body>
</html>
